package com.ssj.service.conch.parents.v2.dto;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author yrf
 * @date 2019/4/29 14:33
 */
public class WrongBookQuestionDTO implements Serializable {

    private static final long serialVersionUID = -3599171753918336231L;

    private String homeworkId;

    @JSONField(format = "yyyy.MM.dd")
    private Date createTime;

    private String week;

    @JSONField(serialize = false)
    private String homeworkPictureIdStr;

    @JSONField(serialize = false)
    private String pictureUrlStr;

    private List<Map<String, Object>> pictureList;

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getWeek() {
        return week;
    }

    public void setWeek(String week) {
        this.week = week;
    }

    public String getHomeworkPictureIdStr() {
        return homeworkPictureIdStr;
    }

    public void setHomeworkPictureIdStr(String homeworkPictureIdStr) {
        this.homeworkPictureIdStr = homeworkPictureIdStr;
    }

    public String getPictureUrlStr() {
        return pictureUrlStr;
    }

    public void setPictureUrlStr(String pictureUrlStr) {
        this.pictureUrlStr = pictureUrlStr;
    }

    public List<Map<String, Object>> getPictureList() {
        return pictureList;
    }

    public void setPictureList(List<Map<String, Object>> pictureList) {
        this.pictureList = pictureList;
    }
}
